package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMallFloor;

public interface WxMallFloorService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxMallFloor> listAsPage(WxMallFloor record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMallFloor getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMallFloor record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    ResultData getfloorlist(String tenantId, Long buildingId);

}
